Page 1 of 3 123 LastLast
Results 1 to 10 of 28

Thread: Failure to update

  1. #1

    Default Failure to update

    opensuse v12.1
    linux 3.1.0-1.2-desktop x86_64

    This is the first time there has been a problem with updating the system. Ever.

    Packages being updated:
    - system-config-printer
    - vim
    - kdebase4

    The package updater, Apper, complained about the most recent update:
    Code:
    The package that is being modified was not found on your system or in any software origin.
    The "Details" button provides this helpful bit:
    Code:
    couldn't find package

    Using Yast2->Online Update gave this warning while retrieving update info:
    Code:
    There was an error in the repository initialization.
    'repo-oss': [|] Failed to cache repo (4).
    History:
    - 'repo2solv.sh' '-o' '/var/cache/zypp/solv/repo-oss/solv' '/var/cache/zypp/raw/repo-oss'
    susetags: bad dependency line: 232323: =Prv: ksym(vanilla:acpi_bus_f
    gzip: packages.gz: invalid compressed data--format violated
    gzip: stdout: Broken pipe
    When performing the update, this occurred:
    Code:
    Subprocess failed. Error: RPM failed: error: package dolphin-4.7.2-4.2.2.x86_64 is not installed
    Choosing "Ignore" just gave more of the above type of message.

    This looks like a dog's breakfast. How do I clean it up?

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Failure to update

    Try rebuilding the rpm database

    Code:
    su -
    rpmdb --rebuilddb
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Failure to update

    Quote Originally Posted by caf4926 View Post
    Try rebuilding the rpm database

    Code:
    su -
    rpmdb --rebuilddb
    Okay. That produced:
    Code:
    error: rpmdbNextIterator: skipping h#   11123 Header V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
    error: rpmdbNextIterator: skipping h#    4641 Header V3 DSA/SHA1 Signature, key ID 11f63c51: BAD
    Apper and Yast2->Online Update now show that the system is up to date, i.e., the packages that were previously marked for update are now okay (really?).

    However, Yast2->Online Update still issues the aforementioned warning.

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Failure to update

    Are you sue these
    Packages being updated:
    - system-config-printer
    - vim
    - kdebase4

    Are actually installed.
    I don't use Apper or Online Update
    Only Software Management

    What do you see from the following commands

    zypper lu

    zypper lp

    zypper ve
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Failure to update

    Code:
    root> zypper lu
    Building repository 'openSUSE-12.1-Oss' cache [done]
    Error building the cache:
    [|] Failed to cache repo (4).
    Warning: Disabling repository 'openSUSE-12.1-Oss' because of the above error.
    Loading repository data...
    Reading installed packages...
    No updates found.
    root>
    
    root> zypper lp
    Building repository 'openSUSE-12.1-Oss' cache [done]
    Error building the cache:
    [|] Failed to cache repo (4).
    Warning: Disabling repository 'openSUSE-12.1-Oss' because of the above error.
    Loading repository data...
    Reading installed packages...
    No updates found.
    root>
    Those are the warning messages... How do I fix it?

    Code:
    root> zypper ve
    Building repository 'openSUSE-12.1-Oss' cache [done]
    Error building the cache:
    [|] Failed to cache repo (4).
    Warning: Disabling repository 'openSUSE-12.1-Oss' because of the above error.
    Loading repository data...
    Reading installed packages...
    
    The following NEW package is going to be installed:
      NetworkManager 
    
    The following packages are going to be REMOVED:
      dolphin kdebase4-libkonq kdepasswd kfind konqueror-plugins system-config-printer 
      system-config-printer-common system-config-printer-dbus-service udev-configure-printer vim vim-data 
    
    1 new package to install, 11 to remove.
    Overall download size: 599.0 KiB. After the operation, 26.2 MiB will be freed.
    Some of the dependencies of installed packages are broken. In order to fix these dependencies, the following actions need to be taken:
    Continue? [y/n/?] (y): y
    Retrieving package NetworkManager-0.9.1.90-4.6.1.x86_64 (1/1), 599.0 KiB (2.2 MiB unpacked)
    Retrieving: NetworkManager-0.9.1.90-4.6.1.x86_64.rpm [done (137.5 KiB/s)]
    Removing dolphin-4.7.2-4.4.1 [done]
    Removing kdebase4-libkonq-4.7.2-4.4.1 [done]
    Removing kdepasswd-4.7.2-4.4.1 [done]
    Removing kfind-4.7.2-4.4.1 [done]
    Removing konqueror-plugins-4.7.2-4.4.1 [done]
    Removing system-config-printer-1.3.7-2.5.2 [done]
    Removing system-config-printer-common-1.3.7-2.5.2 [done]
    Removing system-config-printer-dbus-service-1.3.7-2.5.2 [done]
    Removing udev-configure-printer-1.3.7-2.5.2 [done]
    Removing vim-7.3-22.3.1 [done]
    Additional rpm output:
    update-alternatives: using /usr/share/vim/current/tools/missing-vim-client to provide /bin/vim (vim) in auto mode.
    Removing vim-data-7.3-22.3.1 [done]
    Installing: NetworkManager-0.9.1.90-4.6.1 [done]
    There are some running programs that use files deleted by recent upgrade. You may wish to restart some of them. Run 'zypper ps' to list these programs.
    That removed a bunch of stuff before the update. It does not indicate that the removed items were updated. Does this mean I must re-install them?

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Failure to update

    Was this an upgrade to 12.1 or a fresh install

    Post result of

    zypper lr -d
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Failure to update

    Was this an upgrade to 12.1 or a fresh install?
    It is an upgrade from 11.4. I note that several other computers were also similarly upgraded without the subsequent warning.

    root> zypper lr -d
    Code:
    # | Alias                  | Name                       | Enabled | Refresh | Priority | Type   | URI                                                                 | Service
    --+------------------------+----------------------------+---------+---------+----------+--------+---------------------------------------------------------------------+--------
    1 | openSUSE-12.1-12.1-1.4 | openSUSE-12.1-12.1-1.4     | Yes     | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-TSSTcorp_CDDVDW_SH-S223C_w___G_U |        
    2 | repo-debug             | openSUSE-12.1-Debug        | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/12.1/repo/oss/      |        
    3 | repo-debug-update      | openSUSE-12.1-Update-Debug | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/12.1/                     |        
    4 | repo-non-oss           | openSUSE-12.1-Non-Oss      | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/12.1/repo/non-oss/        |        
    5 | repo-oss               | openSUSE-12.1-Oss          | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/12.1/repo/oss/            |        
    6 | repo-source            | openSUSE-12.1-Source       | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/12.1/repo/oss/     |        
    7 | repo-update            | openSUSE-12.1-Update       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/12.1/                           |

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Failure to update

    It doesn't look like the update went quite as well here.
    Every install will be different.
    You may have to consider a fresh install.

    But try cleaning up with

    Code:
    zypper clean --all
    If that doesn't help and no one else comes up with any bright ideas.
    I'd be tempted to disable all repos except the DVD
    And force an unconditional update of everything from the DVD
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9

    Default Re: Failure to update

    I ran "zypper clean --all". It did not make any difference regarding the warning. After staring at the warning a bit longer I decided to track down the file that gzip was complaining about:
    Code:
    /var/cache/zypp/raw/repo-oss/suse/setup/descr/packages.gz
    It is, indeed, defective. By renaming it (by adding"-broken" to the end) the warning went away. But I do not know what the consequences are of removing that file, or how to repair, rebuild or refresh the file.

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Failure to update

    It's only a cache
    You could delete them all and then try again
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •